Subject: moldy: quaternion constraint error

From: "Gustavo A. Mercier Jr" <[email-masked]>
Date: Wed, 15 Oct 1997 09:57:02 -0400 (EDT)

Hi!

I am trying to perform some rigid body dynamic simulations
using MOLDY 2.11b in an SGI box R4000 running IRIX5.3

The system is a manganese metalloporphyrins embeded in
a water box (454 waters). This system was "equilibrated"
using amber4.1 by letting the waters move around the fixed
metalloporphyrin in a 22 ps simulation. Only the nonbonded
interaction was kept. The water model is the TIP3P, a
rigid water model available in amber4.1

I programmed a filter to get the amber output (XYZ)
to the (COM, Rotation quaternion) used in moldy, but
discarded the velocities!

Below is the input to moldy (the control file).
The system file contains the COM and quaternions, plus
the parameters for a L-J potential, and atom-centered
point charges.

**** Problem:
 While heating the system up (starting at 300K gave the
same error) doing 2ps runs at 0K, 50K, 100K, 150K I ran
into the following error:

*F* Quaternion (some #) constrain ... (another number)

Looks like the magnitude of the quanternion is no longer 1.0

**** Question:

What are possible causes...? Any help will be welcomed!

I am already using a step size 0.001ps The scale interval is
0.005ps using Mx-Bz temperature scaling.
I am only doing NVT dynamics.  The box is 27.0488x26.8614x19.3569.
This is the result of the amber4.1 NPT run at 300k using Baerends
thermostat/pressure sink. The density is 1.0087gm/cc

Using defaults the e-walds parameters yields the following:

        Interaction cut-off              = 10.394 A
        Alpha parameter for Ewald sum    = 0.326263 A(-1)
        Reciprocal space cut-off         = 2.21282 A(-1)

 *I* Distant potential correction = -76.180287, Pressure correction = 
-17.982072
 *I* MD cell divided into 1521 subcells (13x13x9)
 *I* Neighbour list contains 488 cells
 *W* System has net electric charge of 1 - correction of 1.45791 
kJmol(-1) added to
 self energy
 *I* Ewald self-energy = 2168.232620 Kj/mol
 *I* 1298 K-vectors included in reciprocal-space sum

-------- Input file ---------------------

title=MnPm/TIPS3 after 22.5 ps; Q's  tweaked; d=1.0087
sys-spec-file=mnpmW.sys
lattice-start=1
nsteps=2000   # 2.0 ps 
step=0.001
save-file=mnpmW4.rst
restart-file=mnpmW3.rst # run at 100K
text-mode-save=0
scale-interval=5
const-temp=0
scale-options=8     # Mx-Bz distribution
temperature=150.0
const-pressure=0
strain-mask=238   # all off diagonals fixed
strict-cutoff=0  # only cell to cell interaction otherwise tooo slow!
surface-dipole=0
average-interval=100
rdf-interval=10   # every 0.05 ps
dump-file=mWdmp
time-unit=4.8888213e-14  # reading kcal/mol; not kJ/mol
end

 -- 
                                      ("`-/")_.-'"``-._
Gustavo A. Mercier,Jr.,MD,PhD         (. . `) -._    )-;-,_() 
Division of Nuclear Medicine          (v_,)'  _  )`-.\  ``-
Dept. of Radiology                    _;- _,-_/ / ((,'
University of Pennsylvania           ((,.-'  ((,/
3400 Spruce St.                  [email-masked]
Philadelphia, PA 19104         215-662-3069/3091 fax: 215-349-5843